View Issue Details

IDProjectCategoryView StatusLast Update
0001610XdebugInstallationpublic2019-01-23 10:56
ReportercegprakashAssigned Toderick 
PriorityhighSeverityblockReproducibilityalways
Status assignedResolutionopen 
PlatformLinuxOSUbuntuOS Version16.04
Product Version2.6.1 
Target VersionFixed in Version 
Summary0001610: xdebug socket creation fails
DescriptionHere is my xdbug log.

Log opened at 2019-01-16 15:46:04
I: Connecting to configured address/port: localhost:9000.
W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
E: Could not connect to client. :-(
Log closed at 2019-01-16 15:46:04

my php -m has xdebug under both [PHP Modules] and [Zend Modules]

in phpinfo() I see the zend logo with the following message

This program makes use of the Zend Scripting Language Engine:
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.2.12-1+ubuntu16.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies
    with Xdebug v2.6.1, Copyright (c) 2002-2018, by Derick Rethans

Loaded Configuration File /etc/php/7.2/apache2/php.ini
Steps To Reproducesudo apt-get install php-xdebug

Open /etc/php/7.2/apache2/php.ini

Add

zend_extension=/usr/lib/php/20151012/xdebug.so

[XDebug]
xdebug.remote_enable=1
xdebug.remote_autostart=1
xdebug.remote_log="/usr/lib/php/xdebug-logs.log"
TagsNo tags attached.
Operating System
PHP Version7.2.10-7.2.14

Activities

derick

2019-01-22 22:07

administrator   ~0004826

Can you reproduce this problem on the command line as well? It might be worth trying that. Run your PHP script as follows:

USE_ZEND_ALLOC=0 XDEBUG_CONFIG="idekey=cegprakash" php -n -dzend_extension=/usr/lib/php/20151012/xdebug.so -dxdebug.auto_start=1 -dxdebug.remote_log="/usr/lib/php/xdebug-logs.log" your-simplest-script.php

And then check again what is in /usr/lib/php/xdebug-logs.log

cegprakash

2019-01-23 10:20

reporter   ~0004839

Yes I get the same logs.

I also get the following message in command line

Xdebug requires Zend Engine API version 320151012.
The Zend Engine API version 320170718 which is installed, is newer.
Contact Derick Rethans at http://xdebug.org/docs/faq#api for a later version of Xdebug.

cegprakash

2019-01-23 10:56

reporter   ~0004841

So I tried

SE_ZEND_ALLOC=0 XDEBUG_CONFIG="idekey=cegprakash" php -n -dzend_extension=/usr/lib/php/20170718/xdebug.so -dxdebug.auto_start=1 -dxdebug.remote_log="/usr/lib/php/xdebug-logs.log" info.php

and it just prints the same log

Log opened at 2019-01-23 10:49:30
I: Connecting to configured address/port: localhost:9000.
W: Creating socket for 'localhost:9000', poll success, but error: Operation now in progress (29).
E: Could not connect to client. :-(
Log closed at 2019-01-23 10:49:30

Issue History

Date Modified Username Field Change
2019-01-16 16:06 cegprakash New Issue
2019-01-22 22:07 derick Note Added: 0004826
2019-01-22 22:07 derick Assigned To => derick
2019-01-22 22:07 derick Status new => feedback
2019-01-23 10:20 cegprakash Note Added: 0004839
2019-01-23 10:20 cegprakash Status feedback => assigned
2019-01-23 10:56 cegprakash Note Added: 0004841